AbstractPluralAttributeSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class AbstractPluralAttributeSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.AbstractPluralAttributeSourceImpl

All Implemented Interfaces:
  AssociationAttributeSource, AttributeSource, PluralAttributeSource

Direct Known Subclasses:
  BagAttributeSourceImpl, SetAttributeSourceImpl

    public abstract class AbstractPluralAttributeSourceImpl

extends Object
implements PluralAttributeSource

Constructor Summary
`protected` | `AbstractPluralAttributeSourceImpl(PluralAttributeElement pluralAttributeElement, AttributeSourceContainer container)`

Method Summary
`protected LocalBindingContext` | `bindingContext()`
`protected AttributeSourceContainer` | `container()`
`Caching` | `getCaching()`
`Iterable<CascadeStyle>` | `getCascadeStyles()` Obtain the cascade styles to be applied to this association.
`String` | `getCollectionTableCheck()`
`String` | `getCollectionTableComment()`
`String` | `getCustomLoaderName()`
`String` | `getCustomPersisterClassName()` Obtain the name of a custom persister class to be used.
`CustomSQL` | `getCustomSqlDelete()`
`CustomSQL` | `getCustomSqlDeleteAll()`
`CustomSQL` | `getCustomSqlInsert()`
`CustomSQL` | `getCustomSqlUpdate()`
`PluralAttributeElementSource` | `getElementSource()`
`String` | `getExplicitCatalogName()`
`String` | `getExplicitCollectionTableName()`
`String` | `getExplicitSchemaName()`
`FetchMode` | `getFetchMode()` Obtain the fetch mode to be applied to this association.
`FetchStyle` | `getFetchStyle()`
`FetchTiming` | `getFetchTiming()`
`PluralAttributeKeySource` | `getKeySource()`
`String` | `getName()` Obtain the attribute name.
`PluralAttributeElement` | `getPluralAttributeElement()`
`String` | `getPropertyAccessorName()` Obtain the name of the property accessor style used to access this attribute.
`ExplicitHibernateTypeSource` | `getTypeInformation()` Obtain information about the Hibernate type (`Type`) for this attribute.
`String` | `getWhere()`
`boolean` | `isIncludedInOptimisticLocking()` If the containing entity is using `OptimisticLockStyle.ALL` or `OptimisticLockStyle.DIRTY` style optimistic locking, should this attribute be used?
`boolean` | `isInverse()`
`boolean` | `isSingular()` Is this a singular attribute? Specifically, can it be cast to `SingularAttributeSource`?
`Iterable<MetaAttributeSource>` | `metaAttributes()` Obtain the meta-attribute sources associated with this attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.source.binder.PluralAttributeSource
`getPluralAttributeNature`

Constructor Detail

### AbstractPluralAttributeSourceImpl

    protected AbstractPluralAttributeSourceImpl(PluralAttributeElement pluralAttributeElement,
                                                AttributeSourceContainer container)

Method Detail

### getPluralAttributeElement

    public PluralAttributeElement getPluralAttributeElement()

### container

    protected AttributeSourceContainer container()

### bindingContext

    protected LocalBindingContext bindingContext()

### getKeySource

    public PluralAttributeKeySource getKeySource()

  Specified by:
    `getKeySource` in interface `PluralAttributeSource`

### getElementSource

    public PluralAttributeElementSource getElementSource()

  Specified by:
    `getElementSource` in interface `PluralAttributeSource`

### getExplicitSchemaName

    public String getExplicitSchemaName()

  Specified by:
    `getExplicitSchemaName` in interface `PluralAttributeSource`

### getExplicitCatalogName

    public String getExplicitCatalogName()

  Specified by:
    `getExplicitCatalogName` in interface `PluralAttributeSource`

### getExplicitCollectionTableName

    public String getExplicitCollectionTableName()

  Specified by:
    `getExplicitCollectionTableName` in interface `PluralAttributeSource`

### getCollectionTableComment

    public String getCollectionTableComment()

  Specified by:
    `getCollectionTableComment` in interface `PluralAttributeSource`

### getCollectionTableCheck

    public String getCollectionTableCheck()

  Specified by:
    `getCollectionTableCheck` in interface `PluralAttributeSource`

### getCaching

    public Caching getCaching()

  Specified by:
    `getCaching` in interface `PluralAttributeSource`

### getWhere

    public String getWhere()

  Specified by:
    `getWhere` in interface `PluralAttributeSource`

### getName

    public String getName()

  Description copied from interface: `AttributeSource`
  Obtain the attribute name.

  Specified by:
    `getName` in interface `AttributeSource`
  Returns:
    The attribute name. `null` ais NOT allowed!

### isSingular

    public boolean isSingular()

  Description copied from interface: `AttributeSource`
  Is this a singular attribute? Specifically, can it be cast to `SingularAttributeSource`?

  Specified by:
    `isSingular` in interface `AttributeSource`
  Returns:
    `true` indicates this is castable to `SingularAttributeSource`; `false` otherwise.

### getTypeInformation

    public ExplicitHibernateTypeSource getTypeInformation()

  Description copied from interface: `AttributeSource`
  Obtain information about the Hibernate type (`Type`) for this attribute.

  Specified by:
    `getTypeInformation` in interface `AttributeSource`
  Returns:
    The Hibernate type information

### getPropertyAccessorName

    public String getPropertyAccessorName()

  Description copied from interface: `AttributeSource`
  Obtain the name of the property accessor style used to access this attribute.

  Specified by:
    `getPropertyAccessorName` in interface `AttributeSource`
  Returns:
    The property accessor style for this attribute.
  See Also:
    `PropertyAccessor`

### isIncludedInOptimisticLocking

    public boolean isIncludedInOptimisticLocking()

  Description copied from interface: `AttributeSource`
  If the containing entity is using `OptimisticLockStyle.ALL` or `OptimisticLockStyle.DIRTY` style optimistic locking, should this attribute be used?

  Specified by:
    `isIncludedInOptimisticLocking` in interface `AttributeSource`
  Returns:
    `true` indicates it should be included; `false`, it should not.

### isInverse

    public boolean isInverse()

  Specified by:
    `isInverse` in interface `PluralAttributeSource`

### getCustomPersisterClassName

    public String getCustomPersisterClassName()

  Description copied from interface: `PluralAttributeSource`
  Obtain the name of a custom persister class to be used.

  Specified by:
    `getCustomPersisterClassName` in interface `PluralAttributeSource`
  Returns:
    The custom persister class name

### getCustomLoaderName

    public String getCustomLoaderName()

  Specified by:
    `getCustomLoaderName` in interface `PluralAttributeSource`

### getCustomSqlInsert

    public CustomSQL getCustomSqlInsert()

  Specified by:
    `getCustomSqlInsert` in interface `PluralAttributeSource`

### getCustomSqlUpdate

    public CustomSQL getCustomSqlUpdate()

  Specified by:
    `getCustomSqlUpdate` in interface `PluralAttributeSource`

### getCustomSqlDelete

    public CustomSQL getCustomSqlDelete()

  Specified by:
    `getCustomSqlDelete` in interface `PluralAttributeSource`

### getCustomSqlDeleteAll

    public CustomSQL getCustomSqlDeleteAll()

  Specified by:
    `getCustomSqlDeleteAll` in interface `PluralAttributeSource`

### metaAttributes

    public Iterable<MetaAttributeSource> metaAttributes()

  Description copied from interface: `AttributeSource`
  Obtain the meta-attribute sources associated with this attribute.

  Specified by:
    `metaAttributes` in interface `AttributeSource`
  Returns:
    The meta-attribute sources.

### getCascadeStyles

    public Iterable<CascadeStyle> getCascadeStyles()

  Description copied from interface: `AssociationAttributeSource`
  Obtain the cascade styles to be applied to this association.

  Specified by:
    `getCascadeStyles` in interface `AssociationAttributeSource`
  Returns:
    The cascade styles.

### getFetchTiming

    public FetchTiming getFetchTiming()

  Specified by:
    `getFetchTiming` in interface `AssociationAttributeSource`

### getFetchStyle

    public FetchStyle getFetchStyle()

  Specified by:
    `getFetchStyle` in interface `AssociationAttributeSource`

### getFetchMode

    public FetchMode getFetchMode()

  Description copied from interface: `AssociationAttributeSource`
  Obtain the fetch mode to be applied to this association.

  Specified by:
    `getFetchMode` in interface `AssociationAttributeSource`
  Returns:
    The fetch mode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.